### Method

# Ide ConfigProvider unload

#### Declaration

    void
    ide_config_provider_unload (
      IdeConfigProvider* self
    )

#### Description

Requests that the configuration provider unload any state. This is called shortly before the configuration provider is finalized.

Implementations of `IdeConfigProvider` should emit removed for every configuration they have registered so that the `IdeConfigManager` has correct information.

Available since: | 3.32